Subject: Re: [6lo] Fwd: I-D Action: draft-hong-6lo-ipv6-over-nfc-03.txt

From: Samita Chakrabarti <[email-masked]>
Date: Tue, 20 Jan 2015 02:15:42 +0000

Hi Alex,

Thanks for reviewing the NFC-03 draft.

Yong:  Please include reference to RFC 7136  in the next revision of the draft.
I agree that we should preserve the general IPv6 address formatting semantics and not overload the u/l bits for NFC specific purpose.

As for creating the generic 64bit IID, I see a  reference in RFC7136 which clarifies RFC 4291 mandate:

“According  to the IPv6 addressing architecture [RFC4291], when a 64-bit IPv6
   unicast IID is formed on the basis of an IEEE EUI-64 address, usually
   itself expanded from a 48-bit MAC address, a particular format must
   be used:

      For all unicast addresses, except those that start with the binary
      value 000, Interface IDs are required to be 64 bits long and to be
      constructed in Modified EUI-64 format.

   Thus, the specification assumes that the normal case is to transform
   an Ethernet-style address into an IID, but, in practice, there are
   various methods of forming such an IID.”

In section 4.3  the draft provides stateless address autoconf  formation info which suggests (64-6) zeroes+6bit SSAP in the IID.

       +----------+------------------+---------------------+------+
       |1111111010|       zeros      |        zeros        | SSAP |
       +----------+------------------+---------------------+------+
       |                                                          |
       | <---------------------- 128 bits ----------------------> |
       |                                                          |

So, I think the draft is fine sticking with 64bit IID format in compliance with IPv6 spec.

Thanks,
-Samita

From: 6lo [mailto:[email-masked]] On Behalf Of Yong-Geun Hong
Sent: Thursday, November 27, 2014 7:02 PM
To: Alexandru Petrescu
Cc: [email-masked]
Subject: Re: [6lo] Fwd: I-D Action: draft-hong-6lo-ipv6-over-nfc-03.txt

Dear Alex.

Thanks for your comments.

See inline.

2014-11-27 20:15 GMT+09:00 Alexandru Petrescu <[email-masked]<mailto:[email-masked]>>:
Hi, thank you for this new version.

With respect to the formation of an Interface ID, I have a couple of comments.

- the u/l bit (universal/local): would be a good idea to refer to
  RFC7136 :-)
  One wonders what's the potential use of this bit in NFC?  Because one
  is free to use that bit position in a way deemed appropriate and
  useful for NFC, rather than universal/local; I doubt u/l significance
  has any particular meaning for an IPv6 address: the
  prefix is globally unique and so the address is 'universal'.

For regarding RFC 7136, we will check the relation.

As you said that, we guess that this one bit(U/L bit) can be used for NFC.
But, for the consistency of previous IPv6-over-foo WG documents and
the interworking with other IPv6 addresses, we follow the general method of U/L bit.

draft says:
   In the case of NFC-enabled device address, the "Universal/Local" bit
   MUST be set to 0 RFC4291 [7].  Only if the NFC-enabled device address
   is known to be a public address the "Universal/Local" bit can be set
   to 1.

- a question: if the NFC LLC address is 6-bit, why do we need to
  generate a 64bit Interface ID?  Wouldn't it be more appropriate to
  generate a 6bit Interface ID?  There may be some advantages in doing
  so (avoid waste, extend subnets beyond 64bit SLAAC/Ethernet).
I remember that this issue was discussed at Honolulu meeting.
It looks like not only 6lo WG issues but also other WG issues such as IPv6 and ...
In the current version, it is written for the consistency of previous IPv6-over foo documents and
the interworking with other IPv6 addresses.

Best regards.

Yong-Geun.

Alex

Le 27/11/2014 09:37, Yong-Geun Hong a écrit :
Hi.

We submitted a updated(03) draft about IPv6 over NFC.

https://datatracker.ietf.org/doc/draft-hong-6lo-ipv6-over-nfc/

At Honolulu meeting,  we received comments from Carsten and Alex.
We updated the draft based on these comments.
Thanks for Carsten and Alex.

It is appreciate to give comment and feedbacks.

As agreed at Honolulu meeting, we hope to move forward (become a WG
document).

Best regards.

Yong-Geun.

---------- Forwarded message ----------
From: ** <[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>
Date: 2014-11-27 17:23 GMT+09:00
Subject: I-D Action: draft-hong-6lo-ipv6-over-nfc-03.txt
To: [email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>

A New Internet-Draft is available from the on-line Internet-Drafts
directories.

         Title           : Transmission of IPv6 Packets over Near Field
Communication
         Authors         : Yong-Geun Hong
                           Joo-Sang Youn
         Filename        : draft-hong-6lo-ipv6-over-nfc-03.txt
         Pages           : 14
         Date            : 2014-11-27

Abstract:
    Near field communication (NFC) is a set of standards for smartphones
    and portable devices to establish radio communication with each other
    by touching them together or bringing them into proximity, usually no
    more than 10 cm.  NFC standards cover communications protocols and
    data exchange formats, and are based on existing radio-frequency
    identification (RFID) standards including ISO/IEC 14443 and FeliCa.
    The standards include ISO/IEC 18092 and those defined by the NFC
    Forum.  The NFC technology has been widely implemented and available
    in mobile phones, laptop computers, and many other devices.  This
    document describes how IPv6 is transmitted over NFC using 6LowPAN
    techniques.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-hong-6lo-ipv6-over-nfc/

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-hong-6lo-ipv6-over-nfc-03

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-hong-6lo-ipv6-over-nfc-03

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>
<http://tools.ietf.org>.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
I-D-Announce mailing list
[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft <https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft> directories: http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

_______________________________________________
6lo mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/6lo

_______________________________________________
6lo mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/6lo